Show rule
Retrieve a specific rule by ID
GET
/
admin
/
api
/
v1
/
inventories
/
rules
/
{id}
Show rule
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/rules/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/rules/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/rules/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "WH: Vendors → Stock",
"sort": 1,
"route_sort": 9,
"delay": 0,
"group_propagation_option": "propagate",
"action": "pull",
"procure_method": "make_to_stock",
"auto": "manual",
"push_domain": null,
"location_dest_from_rule": false,
"propagate_cancel": false,
"propagate_carrier": false,
"created_at": "2025-04-07T13:12:33.000000Z",
"updated_at": "2025-04-07T13:12:33.000000Z",
"deleted_at": null
}
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
Show rule
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/rules/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/rules/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/rules/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "WH: Vendors → Stock",
"sort": 1,
"route_sort": 9,
"delay": 0,
"group_propagation_option": "propagate",
"action": "pull",
"procure_method": "make_to_stock",
"auto": "manual",
"push_domain": null,
"location_dest_from_rule": false,
"propagate_cancel": false,
"propagate_carrier": false,
"created_at": "2025-04-07T13:12:33.000000Z",
"updated_at": "2025-04-07T13:12:33.000000Z",
"deleted_at": null
}
}{
"message": "Unauthenticated."
}